observability
Get coding-agent usage
GET
/
api
/
observability
/
coding-agents
/
usage
Get coding-agent usage
curl --request GET \
--url https://free.app.nasiko.com/api/observability/coding-agents/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://free.app.nasiko.com/api/observability/coding-agents/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://free.app.nasiko.com/api/observability/coding-agents/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://free.app.nasiko.com/api/observability/coding-agents/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://free.app.nasiko.com/api/observability/coding-agents/usage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://free.app.nasiko.com/api/observability/coding-agents/usage")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://free.app.nasiko.com/api/observability/coding-agents/usage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"by_harness": [
{
"active_devs": 123,
"cost_usd": 123,
"idle_seats": 123,
"registered_devs": 123,
"scope_devs": 123,
"sessions": 123,
"tokens": 123,
"turns": 123,
"unpriced_calls": 123,
"harness": "<string>",
"models": [
{
"cost_usd": 123,
"model": "<string>",
"tokens": 123,
"turns": 123
}
],
"subagent_runs": 123,
"tools": [
{
"calls": 123,
"failed": 123,
"name": "<string>"
}
],
"top_models": [
"<string>"
],
"delta_pct": 123
}
],
"has_more": true,
"overlap_devs": 123,
"rows": [
{}
],
"scope": {
"kind": "<string>",
"label": "<string>",
"visibility": "<string>",
"user_id": "<string>"
},
"series": [
{
"active_devs": 123,
"cost_usd": 123,
"date": "<string>",
"harness": "<string>",
"tokens": 123
}
],
"totals": {
"active_devs": 123,
"cost_usd": 123,
"idle_seats": 123,
"registered_devs": 123,
"scope_devs": 123,
"sessions": 123,
"tokens": 123,
"turns": 123,
"unpriced_calls": 123,
"delta_pct": 123
},
"window": {
"end_time": "<string>",
"start_time": "<string>",
"range": "<string>"
},
"next_cursor": "<string>",
"prev_cursor": "<string>",
"recent_sessions": [
{
"cost_usd": 123,
"harness": "<string>",
"session_id": "<string>",
"started_at": "<string>",
"turns": 123
}
]
}
}Authorizations
Query Parameters
⌘I
Get coding-agent usage
curl --request GET \
--url https://free.app.nasiko.com/api/observability/coding-agents/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://free.app.nasiko.com/api/observability/coding-agents/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://free.app.nasiko.com/api/observability/coding-agents/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://free.app.nasiko.com/api/observability/coding-agents/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://free.app.nasiko.com/api/observability/coding-agents/usage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://free.app.nasiko.com/api/observability/coding-agents/usage")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://free.app.nasiko.com/api/observability/coding-agents/usage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"by_harness": [
{
"active_devs": 123,
"cost_usd": 123,
"idle_seats": 123,
"registered_devs": 123,
"scope_devs": 123,
"sessions": 123,
"tokens": 123,
"turns": 123,
"unpriced_calls": 123,
"harness": "<string>",
"models": [
{
"cost_usd": 123,
"model": "<string>",
"tokens": 123,
"turns": 123
}
],
"subagent_runs": 123,
"tools": [
{
"calls": 123,
"failed": 123,
"name": "<string>"
}
],
"top_models": [
"<string>"
],
"delta_pct": 123
}
],
"has_more": true,
"overlap_devs": 123,
"rows": [
{}
],
"scope": {
"kind": "<string>",
"label": "<string>",
"visibility": "<string>",
"user_id": "<string>"
},
"series": [
{
"active_devs": 123,
"cost_usd": 123,
"date": "<string>",
"harness": "<string>",
"tokens": 123
}
],
"totals": {
"active_devs": 123,
"cost_usd": 123,
"idle_seats": 123,
"registered_devs": 123,
"scope_devs": 123,
"sessions": 123,
"tokens": 123,
"turns": 123,
"unpriced_calls": 123,
"delta_pct": 123
},
"window": {
"end_time": "<string>",
"start_time": "<string>",
"range": "<string>"
},
"next_cursor": "<string>",
"prev_cursor": "<string>",
"recent_sessions": [
{
"cost_usd": 123,
"harness": "<string>",
"session_id": "<string>",
"started_at": "<string>",
"turns": 123
}
]
}
}